html,
body {
	background: #333;
	color: #fff;
	font-family: 'Open Sans';

	margin: 0;
	padding: 0;

	width: 100%;
	height: 100%;
}

.container {
	display: grid;
	row-gap: 6px;

	align-content: center;
	align-items: center;
	justify-content: center;
	padding-top: 6px;
	padding-bottom: 100px;

	width: 100%;
}

/* MENU */
.menuElement {
	display: flex;

	align-items: center;
	justify-content: center;

	width: 100%;
	background: #444;
	border-radius: 6px;
}

/* HEADER */
#header {
	display: flex;
	justify-content: center;
	align-items: center;
	box-sizing: border-box;
	padding: 20px;
	width: 100%;
}
#header img {
	width: 64px;
	margin: 0 12px;
}
#header .text {
	margin-bottom: 6px;
}
#header h2 {
	margin: 0;
}

/* PLAYBACK */
#controls {
	display: grid;
	grid-template-columns: 1fr 1fr;
	position: fixed;
	bottom: 0;
	left: 0;
}
.controls_button {
	display: flex;
	flex-direction: column;
	align-items: center;

	background: #444;
	border: none;
	border-radius: 6px;
	color: #fff;

	width: 100%;
	height: 100%;

	padding: 16px;
}
.controls_button i {
	font-size: 1.5rem;
	margin-bottom: 6px;
}
.controls_button:hover {
	background: #4a4a4a;
	cursor: pointer;
	text-shadow: #222 0px 0px 4px;
}
#show:hover {
	color: limegreen;
}
#hide:hover {
	color: orange;
}

/* OPTIONS */
.options {
	display: flex;
	flex-direction: column;
	align-items: center;
	box-sizing: border-box;
	padding: 6px;
}
.options label {
	padding: 6px 0;
	font-weight: 500;
}
.options input[type='number'] {
	margin: 0 0 0 12px;
	width: 36px;
}

/* ALTERNATIVE OPTIONS */

.mini_button {
	display: flex;
	flex-direction: column;
	align-items: center;

	background: #444;
	border: none;
	border-radius: 6px;
	color: #fff;

	padding: 16px !important;
}

.mini_button i {
	font-size: 1.5rem !important;
	margin-bottom: 6px !important;
}

.mini_button:hover {
	background: #4a4a4a;
	cursor: pointer;
	text-shadow: #222 0px 0px 4px;
}

label.mini_button
{
    font-size: 0.8rem;
}

.b_controls
{
    grid-area: show;
	
	display: flex;
	align-items: center;
	justify-content: center;

	background: #16b900;
	border-radius: 6px;

    margin-inline: 5px;
    padding: 16px !important;
}

.b_controls:hover {
	background: #14a501;
	color: #ccc;
	cursor: pointer;
}

.b_controls_red
{
    background: #b90000 !important;
}

.b_controls_red:hover
{
    background: #a50101 !important;
}

input[type="file"] {
    display: none;
}

/* TEXTAREA */
textarea
{
    color: #fff;
}

.row_arrange {
    display:flex;
    flex-direction: row;
    align-items: center;
}

.text-wrap {
	width: 90%;
	display: flex;
	flex-direction: column;
	justify-content: center;

    margin: 1%;
}
.text-item {
	background-color: #333;
	margin: 2px 0;
	padding: 10px;
	border-radius: 10px;
	display: flex;
	align-items: center;
	justify-content: space-around;
}
.text-content {
	width: calc(100% - 60px);
	background-color: transparent;
	border: 0;
	outline: 0;
	font-size: 16px;
	font-weight: 300;
}

.disabled {
	cursor: not-allowed !important;
}
.disabled:hover {
	color: #444 !important;
}
.disabled img {
	filter: grayscale(0.5) !important;
}
.dnone {
	display: none !important;
}

/* POPUP */
#popup {
    display: flex;
    
    align-items: center;
    justify-content: space-around;

    position: fixed;
    top: 0;
    left: 0;
	z-index: 999;

    margin: 12px;
    padding: 12px;

    opacity: 0;
    visibility: hidden;
    transition: opacity .25s linear, visibility .25s linear;

    background: rgba(68, 68, 68, .75);
    border-radius: 8px;
	box-shadow: 0 0 12px #111;
    color: #fff;
}
#popup.active {
    opacity: 1;
    visibility: visible;
}
#popup .icon {
    margin-right: 12px;
    color: #fff;
    font-size: 1.25rem;
}
#popup .fa-check-circle {
    color: limegreen;
}
#popup .fa-times-circle {
    color: red;
}

@media screen and (min-width: 1200px) {
	#controls {
		position: relative;
	}
}